Bug 1718848 - False positive logging of mount failure
Summary: False positive logging of mount failure
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sanju
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-10 12:02 UTC by Atin Mukherjee
Modified: 2019-06-17 10:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-17 10:31:46 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22860 None Merged glusterd: log error message only when rsp.op_ret is negative 2019-06-17 10:31:45 UTC

Description Atin Mukherjee 2019-06-10 12:02:25 UTC
Description of problem:

Even on successful mount attempts seeing false positive logging:

[2019-06-09 18:18:16.079101] E [MSGID: 106176] [glusterd-handshake.c:1038:__server_getspec] 0-management: Failed to mount the volume 


I believe not every time rsp.op_ret will be 0 in case successful mounts. This needs to be cross checked on why we're logging this unnecessarily. While running subdir-mount.t test caught this log entry.



Version-Release number of selected component (if applicable):
mainline

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Atin Mukherjee 2019-06-10 12:03:34 UTC
d42221bec9 (Sanju Rakonde           2019-05-08 07:58:27 +0530 1036)     if (rsp.op_ret)
d42221bec9 (Sanju Rakonde           2019-05-08 07:58:27 +0530 1037)         gf_msg(this->name, GF_LOG_ERROR, 0, GD_MSG_MOUNT_REQ_FAIL,
d42221bec9 (Sanju Rakonde           2019-05-08 07:58:27 +0530 1038)                "Failed to mount the volume")

Was introduced by commit d42221bec9 .

Comment 2 Worker Ant 2019-06-13 13:43:39 UTC
REVIEW: https://review.gluster.org/22860 (glusterd: assign zero to ret on successful sys_read()) posted (#1) for review on master by Sanju Rakonde

Comment 3 Worker Ant 2019-06-17 10:31:46 UTC
REVIEW: https://review.gluster.org/22860 (glusterd: log error message only when rsp.op_ret is negative) merged (#5) on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.